#
# spec file for package checkinstall (Version 1.4.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         checkinstall
Summary:      "make install" installations tracker
Version:      1.4.1
Release:      33
Copyright: GPL
Group:     Utilities/System          
URL:       http://mayams.net/~izto/
Source:	   http://mayams.net/~izto/checkinstall-%{version}.tar.gz
Patch:     checkinstall-%{version}.dif
Provides:  installwatch

%description
Uses installwatch to keep track of all files created or modified
during the run of an installation script like "make install".
The information is used to create a rpm package which holds all
files installed by the tracked installation. This makes it possible
e.g. to remove all files later with rpm -e package or to install
the package on another system too.

SuSE series: d

%prep                                                                          
%setup
%patch
for file in `grep -rl usr/local/lib/checkinstall .`
do
	sed 's|usr/local/lib/checkinstall|etc|g' $file >$file.new
	mv $file.new $file
done
for file in `grep -rl usr/local .`
do
	sed 's|usr/local|usr|g' $file >$file.new
	mv $file.new $file
done

%build
make

%install
make install PREFIX=%{_prefix}
installwatch -o log "make install"
grep -v exists log | cut -f 3 | egrep -v "/dev|/tmp" | sort -u > newfiles
find | grep -e COPYING -e INSTALL -e VERSION | xargs rm -v
# Checks:
grep %{_bindir}/installwatch	newfiles
grep %{_libdir}/installwatch.so	newfiles
grep %{_sbindir}/checkinstall	newfiles

%files -f newfiles
%doc doc-pak/*

%changelog -n checkinstall
* Tue Aug 07 2001 - bk@suse.de
- update to version 1.4.1
* Sun Apr 15 2001 - bk@suse.de
- update to version 1.3.1
* Sun Mar 04 2001 - bk@suse.de
- initial package
